import request from "/utils/request.js";
export function authInfoApi() { 
	return {
		// 获取认证列表
		GetCertificateList: (data) => {
			return request.request({
				url: '/InfoCertification/GetCertificateList',
				method: 'get',
				data,
			});
		},
		// 获取是否认证过
		GetIsCertification: () => {
			return request.request({
				url: '/ClientInfoCertification/GetIsCertification',
				method: 'get',
			});
		},
		// 获取认证详情
		GetCertificationInfo: () => {
			return request.request({
				url: '/ClientInfoCertification/GetCertificateByUserId',
				method: 'get',
			});
		},
		// 提交企业认证
		SubmitEnterpriseCertification: (data) => {
			return request.request({
				url: '/ClientInfoCertification/SubmitEnterpriseCertification',
				method: 'post',
				data,
			});
		},
		// 提交个人认证
		SubmitPersonCertification: (data) => {
			return request.request({
				url: '/ClientInfoCertification/SubmitIndividualCertification',
				method: 'post',
				data,
			});
		},
		// 修改验证信息
		UpdateCertification: (data) => {
			return request.request({
				url: '/ClientInfoCertification/UpdateCertification',
				method: 'post',
				data,
			});
		},
		// 领取优惠卷
		DrawDownCoupon: (data) => {
			return request.request({
				url: '/ClientCoupon/DrawDownCoupon?couponCode='+data.couponCode,
				method: 'post',
				data,
			});
		},
		// 优惠卷弹窗
		GetNewUserCouponCode: (data) => {
			return request.request({
				url: '/ClientCoupon/GetNewUserCouponCode',
				method: 'get',
				data,
			});
		}
	};
}